<html>
    <head>
        <title></title>
        <script src="https://cdnjs.cloudflare.com/ajax/libs/jquery/3.7.1/jquery.min.js" integrity="sha512-v2CJ7UaYy4JwqLDIrZUI/4hqeoQieOmAZNXBeQyjo21dadnwR+8ZaIJVT8EE2iyI61OV8e6M8PP2/4hpQINQ/g==" crossorigin="anonymous" referrerpolicy="no-referrer"></script>
        <script src="https://cdnjs.cloudflare.com/ajax/libs/xlsx/0.18.5/xlsx.full.min.js"></script>

    </head>
    <body>
    <table>

        <thead>

        <tr>

            <th style="width: 225%"><b>Product ID</b></th>

            <th style="width: 225%"><b>Product Name</b></th>

            <th style="width: 225%"><b>Description</b></th>

            <th style="width: 225%"><b>Content</b></th>

            <th style="width: 225%"><b>Price</b></th>

            <th style="width: 225%"><b>Block Status</b></th>

            <th style="width: 225%"><b>Agent Link</b></th>

            <th style="width: 225%"><b>Category</b></th>

        </tr>

        </thead>

        <tbody>

        @foreach($product as $product)

            <tr>

                <td>{{ $product->fnid }}</td>

                <td>{{ $product->product_name }}</td>

                <td>{{ $product->description }}</td>

                <td>{{ $product->content }}</td>

                <td>{{ $product->price }}</td>

                <td>{{ $product->is_block }}</td>

                <td>{{ $product->extra_field }}</td>

                <td>

                    @php

                        $getCategories = App\Http\Helper1::product_relatated_category_list($product->id);

                    @endphp

                    @foreach($getCategories as $cat)

                        {!! $cat . ' | ' !!}

                    @endforeach

                </td>

            </tr>

        @endforeach

        </tbody>

        </table>
    </body>
</html>
<script>
    $(document).ready(function () {
        // Get table element
        var table = document.querySelector('table');

        // Convert the table to a worksheet
        var workbook = XLSX.utils.table_to_book(table, {sheet: "Sheet 1"});

        // Export the workbook to Excel
        XLSX.writeFile(workbook, 'Product_List.xlsx');
        window.location.href = "https://admin.rightflorist.space/public/admin/product";
    });
</script>