<?php

namespace App\Http\Controllers;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\DB;
use Illuminate\Support\Facades\Hash;
use Illuminate\Support\Facades\Validator;

class RegisterController extends Controller
{
	public function allAgents(Request $request)
	{
		$agents = DB::connection('mysql')->table('agents')
		          ->get();
		// dd($agents);
		return view('all-agents',compact('agents'));          
	}

	public function register(Request $request, $id='')
	{
		if($id>0){
			$agents = DB::connection('mysql')->table('agents')
					  ->where('id',$id)	
		          	  ->first();
		    $result['id']=$agents->id;      	  
		    $result['name']=$agents->name;
		    $result['email']=$agents->email;
		    $result['password']='';
		    $result['cpassword']='';     	  
		}else{
			$result['id']=0;
			$result['name']='';
		    $result['email']='';
		    $result['password']='';
		    $result['cpassword']='';
		}
		return view('register',compact('result'));
	}

	public function doRegister(Request $request)
	{
		// dd($request->all());
		$id = $request['id'];
		$name = $request['name'];
		$email = $request['email'];
		$password = $request['password'];
		$cpassword = $request['cpassword'];

		$request->validate([
			'name' => 'required',
			'password' => 'min:6',
    		'cpassword' => 'required_with:password|same:password|min:6',
    		'email' => 'required|unique:agents,email,' . $request->post('id'),
		]);

		if($request['id']){
			DB::connection('mysql')->table('agents')
			->where('id',$id)
			->update([
				'name' => $name,
				'email' => $email,
				'password' => Hash::make($password),
				'updated_at' => now()
			]);
			
		}else{
			DB::connection('mysql')->table('agents')->insert([
				'name' => $name,
				'email' => $email,
				'password' => Hash::make($password),
				'created_at' => now(),
				'updated_at' => now()
			]);
		}
		return redirect()->route('all-agents');
		// dd($name);
	}
}